package ex3;

public abstract class ReliableProcess extends Process {

	public ReliableProcess(int port) {
		super(port);
	}

	@Override
	protected void receiveMessage(int from, String message) {
		// TODO implement this Method to ack received messages / evaluate messages if they are acks
		// for simplicity assume there is always only a single message to be sent/received at a time
		
		rDeliver(from,message);
	}

	protected abstract void rDeliver(int from, String message);
	
	
	protected void sendRMessage(int to,String message) {
		// TODO implement this Method to ack/cause re-sending of unacknowleged messages 
		// for simplicity assume there is always only a single message to be sent/received at a time
	}
	
}
